package ink.wgink.module.activiti.pojo.dtos.oa;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @Description: 节点字段
 * @Author: WenG
 * @Date: 2022/3/19 11:05
 * @Version: 1.0
 **/
@ApiModel
public class NodeButtonDTO {

    @ApiModelProperty(name = "nodeButtonId", value = "主键")
    private String nodeButtonId;
    @ApiModelProperty(name = "formId", value = "表单ID")
    private String formId;
    @ApiModelProperty(name = "deploymentId", value = "部署ID")
    private String deploymentId;
    @ApiModelProperty(name = "nodeIndex", value = "节点下标")
    private String nodeIndex;
    @ApiModelProperty(name = "nodeId", value = "节点ID")
    private String nodeId;
    @ApiModelProperty(name = "btnAttachment", value = "上传附件")
    private Integer btnAttachment;
    @ApiModelProperty(name = "btnGoBack", value = "回退")
    private Integer btnGoBack;
    @ApiModelProperty(name = "btnForcedEnd", value = "强制结束")
    private Integer btnForcedEnd;
    @ApiModelProperty(name = "btnPrint", value = "打印")
    private Integer btnPrint;
    @ApiModelProperty(name = "btnCc", value = "抄送")
    private Integer btnCc;
    @ApiModelProperty(name = "btnTransfer", value = "转交")
    private Integer btnTransfer;

    public String getNodeButtonId() {
        return nodeButtonId == null ? "" : nodeButtonId.trim();
    }

    public void setNodeButtonId(String nodeButtonId) {
        this.nodeButtonId = nodeButtonId;
    }

    public String getFormId() {
        return formId == null ? "" : formId.trim();
    }

    public void setFormId(String formId) {
        this.formId = formId;
    }

    public String getDeploymentId() {
        return deploymentId == null ? "" : deploymentId.trim();
    }

    public void setDeploymentId(String deploymentId) {
        this.deploymentId = deploymentId;
    }

    public String getNodeIndex() {
        return nodeIndex == null ? "" : nodeIndex.trim();
    }

    public void setNodeIndex(String nodeIndex) {
        this.nodeIndex = nodeIndex;
    }

    public String getNodeId() {
        return nodeId == null ? "" : nodeId.trim();
    }

    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }

    public Integer getBtnAttachment() {
        return btnAttachment == null ? 0 : btnAttachment;
    }

    public void setBtnAttachment(Integer btnAttachment) {
        this.btnAttachment = btnAttachment;
    }

    public Integer getBtnGoBack() {
        return btnGoBack == null ? 0 : btnGoBack;
    }

    public void setBtnGoBack(Integer btnGoBack) {
        this.btnGoBack = btnGoBack;
    }

    public Integer getBtnForcedEnd() {
        return btnForcedEnd;
    }

    public void setBtnForcedEnd(Integer btnForcedEnd) {
        this.btnForcedEnd = btnForcedEnd;
    }

    public Integer getBtnPrint() {
        return btnPrint;
    }

    public void setBtnPrint(Integer btnPrint) {
        this.btnPrint = btnPrint;
    }

    public Integer getBtnCc() {
        return btnCc;
    }

    public void setBtnCc(Integer btnCc) {
        this.btnCc = btnCc;
    }

    public Integer getBtnTransfer() {
        return btnTransfer == null ? 0 : btnTransfer;
    }

    public void setBtnTransfer(Integer btnTransfer) {
        this.btnTransfer = btnTransfer;
    }
}
